Bug 100755 - Fraction number format: symbol '0' not allowed for digit in fraction
Summary: Fraction number format: symbol '0' not allowed for digit in fraction
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Laurent BP
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-04 11:38 UTC by Laurent BP
Modified: 2016-08-17 14:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
XLSX file with fraction number format with zeros (10.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-07-04 11:38 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-07-04 11:38:01 UTC
Created attachment 126060 [details]
XLSX file with fraction number format with zeros

Description: in number formats, digits can be defined with #, ? or 0 symbols. But in fraction, only # and ? are allowed.

Steps to reproduce:
1. Format > Cells > Numbers. Enter user defined format:
000 000/000

Actual behavior:
This format is refused as preview remains empty.

Expected behavior:
This format should be accepted, at least to import from XLSX. See attached file.
Value: PI
Format: 000 000/000
Expected result in Excel: 003 016/113
Actual: format is not recognized and General (Standard) format is used instead.
Comment 1 Joel Madero 2016-07-06 06:05:46 UTC
Version: 5.1.4.2
Build ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8)

For me when I put in 000 000/000 it turns into "user defined" and the preview shows blank. 

Confirmed
Comment 2 Commit Notification 2016-07-15 19:35:13 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d32dab699f6584a13eb10fc1eb2801423ef52fb2

tdf#100755 Allow '0' for denominator symbol

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-07-27 11:05:30 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aab21302fa7ec76772456ad0cd8729a16e2a11e0

tdf#100755 Extend ODF to allow 0 in fraction

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.